Bug 1574431 - cinder quota-update command accepts incorrect project IDs
Summary: cinder quota-update command accepts incorrect project IDs
Keywords:
Status: NEW
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
low
low
Target Milestone: z7
: ---
Assignee: Cinder Bugs List
QA Contact: Tzach Shefi
RHOS Documentation Team
URL:
Whiteboard:
: 1650027 1653755 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 10:20 UTC by Alex Stupnikov
Modified: 2021-03-31 12:34 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Currently, quota commands do not work as expected in the Block Storage service (cinder). With the Block Storage CLI, you can successfully create quota entries and the CLI does not check for a valid project ID. Quota entries that the CLI creates without valid project IDs are dummy records that contain invalid data. Until this issue is fixed, if you are a CLI user, you must specify a valid project ID when you create quota entries and monitor Block Storage for dummy records.
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1307491 0 None None None 2020-03-19 15:16:57 UTC

Internal Links: 1574439

Description Alex Stupnikov 2018-05-03 10:20:46 UTC
Description of problem:

It is possible to successfully create quota entry with any text word instead of valid project ID. This is misleading for customers: they successfully create quotas with project names instead of project IDs, but those quotas are not enforced.


How reproducible:

The following command may look like a command that adds a quota for admin tenant, but instead it creates a dummy record in cinder DB:

cinder quota-update --volumes 3 admin

MariaDB [cinder]> SELECT * FROM quotas WHERE project_id="admin";
+----+---------------------+------------+------------+---------+------------+----------+------------+-----------+
| id | created_at          | updated_at | deleted_at | deleted | project_id | resource | hard_limit | allocated |
+----+---------------------+------------+------------+---------+------------+----------+------------+-----------+
|  6 | 2018-05-03 09:41:49 | NULL       | NULL       |       0 | admin      | volumes  |          3 |         0 |
+----+---------------------+------------+------------+---------+------------+----------+------------+-----------+


Here is an entry for valid cinder quota:

MariaDB [cinder]> SELECT * FROM quotas WHERE project_id="602c2a16e060483f997193a314d0b9c7" AND resource="volumes";
+----+---------------------+---------------------+------------+---------+----------------------------------+----------+------------+-----------+
| id | created_at          | updated_at          | deleted_at | deleted | project_id                       | resource | hard_limit | allocated |
+----+---------------------+---------------------+------------+---------+----------------------------------+----------+------------+-----------+
|  9 | 2018-05-03 10:02:00 | 2018-05-03 10:09:06 | NULL       |       0 | 602c2a16e060483f997193a314d0b9c7 | volumes  |          9 |         0 |
+----+---------------------+---------------------+------------+---------+----------------------------------+----------+------------+-----------+


Actual results:

cinder creates misleading quota entries in DB


Expected results:

cinder asks to use valid project_id

Comment 2 Eric Harney 2018-11-15 08:04:19 UTC
*** Bug 1650027 has been marked as a duplicate of this bug. ***

Comment 3 Alan Bishop 2018-11-28 13:49:42 UTC
*** Bug 1653755 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.